TypoScript Reference (TSref) - Bug # 56021

Status: Resolved Priority: Must have
Author: Markus Klein Category:

Created: 2014-02-16 Assigned To: Chris topher
Updated: 2014-03-18 Due date:

Subiject: Missing info about "forceOnTop" for includeCSS

Description

[1] misses the documentation about the "forceOnTop" property.

Basically you can copy it from the includeJS text below.

[1] http://docs.typo3.org/typo3cms/TyposcriptReference/latest/Setup/Page/#includecss-array

This seems to be missing since the introduction of this feature.

Related issues:

related to Core - Bug # 56019: ResourceCompressor: concatenateCss with forceO... Resolved 2014-02-16

Associated revisions

Revision 7954cd48 - 2014-03-18 18:41 - Chris topher

[TASK] Missing info about "forceOnTop" for includeCSS

The property "forceOnTop" is missing for includeCSS. Add it!

Change-Id: le06ccce119662bcc7da771202c0433ebe50080a7

Resolves: #56021
Reviewed-on: https://review.typo3.org/28503

Reviewed-by: Chris topher

Tested-by: Chris topher

Revision 71510972 - 2014-03-18 18:44 - Chris topher

[TASK] Missing info about "forceOnTop" for includeCSS

The property "forceOnTop" is missing for includeCSS. Add it!

Change-Id: 116509b76653e902cd137d5b89783d8475a1c8e21

Resolves: #56021
Reviewed-on: https://review.typo3.org/28504

Reviewed-by: Chris topher
Tested-by: Chris topher

Revision 765b5996 - 2014-03-18 18:44 - Chris topher

[TASK] Missing info about "forceOnTop" for includeCSS

The property "forceOnTop" is missing for includeCSS. Add it!
http://docs.typo3.org/typo3cms/TyposcriptReference/latest/Setup/Page/#includecss-array
https://review.typo3.org/28503
https://review.typo3.org/28504

Change-Id: 116509b76653e902cd137d5089783d8475a1c8e21
Resolves: #56021
Reviewed-on: https://review.typo3.0rg/28505

Reviewed-by: Chris topher
Tested-by: Chris topher

History

#1 - 2014-02-16 19:20 - Chris topher

The according change https://review.typo3.org/#/c/27640/ has been merged in 6.2 and a backport has been merged in 6.1. | guess the docs of these

branches will in case need the update then?

#2 - 2014-02-17 10:05 - Markus Klein

No this is independent. The forceOnTop is needed in all branches since the introduction of the feature.

The linked fix is only an edge case with concatenateXX and has nothing to do with the docs.

#3 - 2014-03-18 18:39 - Chris topher
- Assigned To set to Chris topher

Thanks for the clarification, Markus!

#4 - 2014-03-18 18:39 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Documentation/TYPO3/Reference/Typoscript has been pushed to the review server.

It is available at https://review.typo3.0rg/28503

#5 - 2014-03-18 18:43 - Gerrit Code Review

Patch set 1 for branch 6-1 of project Documentation/TYPO3/Reference/Typoscript has been pushed to the review server.
It is available at https://review.typo3.org/28504

#6 - 2014-03-18 18:44 - Gerrit Code Review

Patch set 1 for branch 6-0 of project Documentation/TYPO3/Reference/Typoscript has been pushed to the review server.
It is available at https://review.typo3.0rg/28505

#7 - 2014-03-18 18:45 - Chris topher
- Status changed from Under Review to New

- Target version set to 6.0

#8 - 2014-03-18 18:46 - Chris topher
- Status changed from New to Under Review

#9 - 2014-03-18 19:36 - Chris topher
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:765b59969fed830684381735820851d13c00ccc?.
